#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEE,0x67,0xFD,0xA4,0xB2,0xE5,0x4E,0xC2,0x68,0xB4,0x54,0x39,
		0xC7,0xB2,0x24,0x18,0x3E,0xEA,0x2F,0x43,0xA5,0xB0,0x68,0x4F,
		0xBB,0xE6,0x8C,0xDA,0x4A,0x1E,0x9C,0x79,0x54,0x56,0xA3,0xB2,
		0x27,0x93,0x5D,0x27,0xBC,0x9B,0xB8,0xB9,0xE6,0x20,0x9B,0xF1,
		0x95,0xA9,0xA7,0x27,0x4F,0x5D,0xCD,0xE7,0xD4,0x0F,0x61,0x3E,
		0x02,0x88,0x7C,0xAF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
